Draw.EnumDrawType
Date: 2019-10-22

org.jmol.shapespecial

## Enum Draw.EnumDrawType

- java.lang.Object
- - java.lang.Enum<Draw.EnumDrawType>
  - - org.jmol.shapespecial.Draw.EnumDrawType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Draw.EnumDrawType>
  Enclosing class:
    Draw

      public static enum Draw.EnumDrawType
      extends java.lang.Enum<Draw.EnumDrawType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARC`
    `ARROW`
    `CIRCLE`
    `CIRCULARPLANE`
    `CURVE`
    `CYLINDER`
    `LINE`
    `LINE_SEGMENT`
    `MULTIPLE`
    `NONE`
    `PLANE`
    `POINT`
    `POLYGON`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `id`
    `(package private) java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Draw.EnumDrawType` | `getType(int nPoints)`
    `static Draw.EnumDrawType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Draw.EnumDrawType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MULTIPLE

          public static final Draw.EnumDrawType MULTIPLE

    - #### NONE

          public static final Draw.EnumDrawType NONE

    - #### POINT

          public static final Draw.EnumDrawType POINT

    - #### LINE

          public static final Draw.EnumDrawType LINE

    - #### PLANE

          public static final Draw.EnumDrawType PLANE

    - #### CYLINDER

          public static final Draw.EnumDrawType CYLINDER

    - #### ARROW

          public static final Draw.EnumDrawType ARROW

    - #### CIRCLE

          public static final Draw.EnumDrawType CIRCLE

    - #### CURVE

          public static final Draw.EnumDrawType CURVE

    - #### CIRCULARPLANE

          public static final Draw.EnumDrawType CIRCULARPLANE

    - #### ARC

          public static final Draw.EnumDrawType ARC

    - #### LINE_SEGMENT

          public static final Draw.EnumDrawType LINE_SEGMENT

    - #### POLYGON

          public static final Draw.EnumDrawType POLYGON

  - ### Field Detail

    - #### id

          final int id

    - #### name

          final java.lang.String name

  - ### Method Detail

    - #### values

          public static Draw.EnumDrawType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Draw.EnumDrawType c : Draw.EnumDrawType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Draw.EnumDrawType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static Draw.EnumDrawType getType(int nPoints)